User Tag List

Results 1 to 5 of 5

Thread: Error in Build Project

  1. #1
    Clicker Fusion 2.5 (Steam)Fusion 2.5 Developer (Steam)Android Export Module (Steam)

    Join Date
    Nov 2018
    Posts
    5
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)

    Question Error in Build Project

    Hi! I get this error message when building my project for .apk

    --------------------------------

    > Configure project :
    it is windows 10

    > Configure project :app
    WARNING: The option setting 'android.overridePathCheck=true' is experimental and unsupported.
    The current default is 'false'.


    > Task :app:preBuild UP-TO-DATE
    > Task :app:preReleaseBuild UP-TO-DATE
    > Task :app:compileReleaseAidl NO-SOURCE
    > Task :app:compileReleaseRenderscript NO-SOURCE
    > Task :app:checkReleaseManifest
    > Task :app:generateReleaseBuildConfig
    > Task :app:mainApkListPersistenceRelease
    > Task :app:generateReleaseResValues
    > Task :app:generateReleaseResources
    > Task :app:createReleaseCompatibleScreenManifests
    > Task :app:processReleaseManifest
    > Task :app:checkReleaseDuplicateClasses
    > Task :app:mergeReleaseShaders
    > Task :app:compileReleaseShaders
    > Task :app:generateReleaseAssets
    > Task :app:mergeReleaseAssets
    > Task :app:processReleaseJavaRes NO-SOURCE
    > Task :app:validateSigningRelease
    > Task :app:signingConfigWriterRelease
    > Task :app:mergeReleaseJniLibFolders
    > Task :app:javaPreCompileRelease
    > Task :app:mergeReleaseResources
    > Task :app:processReleaseResources

    > Task :app:compileReleaseJavaWithJavac
    Note: Some input files use or override a deprecated API.
    Note: Recompile with -Xlint:deprecation for details.
    Note: Some input files use unchecked or unsafe operations.
    Note: Recompile with -Xlint:unchecked for details.

    > Task :app:compileReleaseSources
    > Task :app:transformClassesWithDexBuilderForRelease
    > Task :app:mergeReleaseNativeLibs
    Unable to strip library 'C:\Users\aless\AppData\Local\Temp\AndAEC1.tmp\app \build\intermediates\merged_native_libs\release\ou t\lib\armeabi-v7a\libES1Renderer.so' due to missing strip tool for ABI 'ARMEABI_V7A'. Packaging it as is.
    Unable to strip library 'C:\Users\aless\AppData\Local\Temp\AndAEC1.tmp\app \build\intermediates\merged_native_libs\release\ou t\lib\armeabi-v7a\libES3Renderer.so' due to missing strip tool for ABI 'ARMEABI_V7A'. Packaging it as is.

    > Task :app:stripReleaseDebugSymbols
    Compatible side by side NDK version was not found.
    Unable to strip library 'C:\Users\aless\AppData\Local\Temp\AndAEC1.tmp\app \build\intermediates\merged_native_libs\release\ou t\lib\arm64-v8a\libES1Renderer.so' due to missing strip tool for ABI 'ARM64_V8A'. Packaging it as is.
    Unable to strip library 'C:\Users\aless\AppData\Local\Temp\AndAEC1.tmp\app \build\intermediates\merged_native_libs\release\ou t\lib\arm64-v8a\libES2Renderer.so' due to missing strip tool for ABI 'ARM64_V8A'. Packaging it as is.
    Unable to strip library 'C:\Users\aless\AppData\Local\Temp\AndAEC1.tmp\app \build\intermediates\merged_native_libs\release\ou t\lib\arm64-v8a\libES3Renderer.so' due to missing strip tool for ABI 'ARM64_V8A'. Packaging it as is.
    Unable to strip library 'C:\Users\aless\AppData\Local\Temp\AndAEC1.tmp\app \build\intermediates\merged_native_libs\release\ou t\lib\arm64-v8a\libgdx.so' due to missing strip tool for ABI 'ARM64_V8A'. Packaging it as is.
    Unable to strip library 'C:\Users\aless\AppData\Local\Temp\AndAEC1.tmp\app \build\intermediates\merged_native_libs\release\ou t\lib\arm64-v8a\libRuntimeNative.so' due to missing strip tool for ABI 'ARM64_V8A'. Packaging it as is.
    Unable to strip library 'C:\Users\aless\AppData\Local\Temp\AndAEC1.tmp\app \build\intermediates\merged_native_libs\release\ou t\lib\armeabi-v7a\libES2Renderer.so' due to missing strip tool for ABI 'ARMEABI_V7A'. Packaging it as is.
    Unable to strip library 'C:\Users\aless\AppData\Local\Temp\AndAEC1.tmp\app \build\intermediates\merged_native_libs\release\ou t\lib\armeabi-v7a\libgdx.so' due to missing strip tool for ABI 'ARMEABI_V7A'. Packaging it as is.
    Unable to strip library 'C:\Users\aless\AppData\Local\Temp\AndAEC1.tmp\app \build\intermediates\merged_native_libs\release\ou t\lib\armeabi-v7a\libRuntimeNative.so' due to missing strip tool for ABI 'ARMEABI_V7A'. Packaging it as is.
    Unable to strip library 'C:\Users\aless\AppData\Local\Temp\AndAEC1.tmp\app \build\intermediates\merged_native_libs\release\ou t\lib\x86\libES1Renderer.so' due to missing strip tool for ABI 'X86'. Packaging it as is.
    Unable to strip library 'C:\Users\aless\AppData\Local\Temp\AndAEC1.tmp\app \build\intermediates\merged_native_libs\release\ou t\lib\x86\libES2Renderer.so' due to missing strip tool for ABI 'X86'. Packaging it as is.
    Unable to strip library 'C:\Users\aless\AppData\Local\Temp\AndAEC1.tmp\app \build\intermediates\merged_native_libs\release\ou t\lib\x86\libES3Renderer.so' due to missing strip tool for ABI 'X86'. Packaging it as is.
    Unable to strip library 'C:\Users\aless\AppData\Local\Temp\AndAEC1.tmp\app \build\intermediates\merged_native_libs\release\ou t\lib\x86\libgdx.so' due to missing strip tool for ABI 'X86'. Packaging it as is.
    Unable to strip library 'C:\Users\aless\AppData\Local\Temp\AndAEC1.tmp\app \build\intermediates\merged_native_libs\release\ou t\lib\x86\libRuntimeNative.so' due to missing strip tool for ABI 'X86'. Packaging it as is.
    Unable to strip library 'C:\Users\aless\AppData\Local\Temp\AndAEC1.tmp\app \build\intermediates\merged_native_libs\release\ou t\lib\x86_64\libES1Renderer.so' due to missing strip tool for ABI 'X86_64'. Packaging it as is.
    Unable to strip library 'C:\Users\aless\AppData\Local\Temp\AndAEC1.tmp\app \build\intermediates\merged_native_libs\release\ou t\lib\x86_64\libES2Renderer.so' due to missing strip tool for ABI 'X86_64'. Packaging it as is.
    Unable to strip library 'C:\Users\aless\AppData\Local\Temp\AndAEC1.tmp\app \build\intermediates\merged_native_libs\release\ou t\lib\x86_64\libES3Renderer.so' due to missing strip tool for ABI 'X86_64'. Packaging it as is.
    Unable to strip library 'C:\Users\aless\AppData\Local\Temp\AndAEC1.tmp\app \build\intermediates\merged_native_libs\release\ou t\lib\x86_64\libgdx.so' due to missing strip tool for ABI 'X86_64'. Packaging it as is.
    Unable to strip library 'C:\Users\aless\AppData\Local\Temp\AndAEC1.tmp\app \build\intermediates\merged_native_libs\release\ou t\lib\x86_64\libRuntimeNative.so' due to missing strip tool for ABI 'X86_64'. Packaging it as is.

    > Task :app:mergeExtDexRelease
    > Task :app:mergeReleaseJavaResource
    > Task :app:mergeDexRelease
    > Task :app:packageRelease FAILED

    FAILURE: Build failed with an exception.

    * What went wrong:
    Execution failed for task ':app:packageRelease'.
    > A failure occurred while executing com.android.build.gradle.internal.tasks.Workers$Ac tionFacade
    > java.io.IOException: Failed to generate v1 signature

    * Try:
    Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output. Run with --scan to get full insights.

    * Get more help at https://help.gradle.org

    BUILD FAILED in 7s
    24 actionable tasks: 24 executed

  2. #2
    Clicker Fusion 2.5 DeveloperAndroid Export Module
    Janette5's Avatar
    Join Date
    Dec 2014
    Location
    Western Cape, SA
    Posts
    662
    Mentioned
    29 Post(s)
    Tagged
    0 Thread(s)
    I think that the smart people who would know what's going on, may be on holiday. So by process of elimination you can check that:

    1. Your SDK is up to date with API 29
    2. That your Fusion is up to date to the latest beta or release
    3. Your build API is 29
    4. Your target version is 10.0
    5. There are no strange characters in your package name

    Can you build a debug version as opposed to a release version or neither?

    What extensions are you using? (Under Data Elements - Extensions)

  3. #3
    Clickteam Clickteam
    Fernando's Avatar
    Join Date
    Dec 2006
    Posts
    6,413
    Mentioned
    226 Post(s)
    Tagged
    4 Thread(s)
    Hey ,

    just came to check the forum, BUT this error

    is simply

    java.io.IOException: Failed to generate v1 signature


    are you sure your certificate is correct and located where you set in the fusion editor?
    Regards,


    Fernando Vivolo

    ... new things are coming ...

  4. #4
    Clicker Fusion 2.5 (Steam)Fusion 2.5 Developer (Steam)Android Export Module (Steam)

    Join Date
    Nov 2018
    Posts
    5
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)
    I really followed your suggestion and the problem was solved! Thanks!

  5. #5
    Clicker Fusion 2.5 (Steam)Fusion 2.5 Developer (Steam)Android Export Module (Steam)

    Join Date
    Nov 2018
    Posts
    5
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)
    Quote Originally Posted by Fernando View Post
    Hey ,

    just came to check the forum, BUT this error

    is simply

    java.io.IOException: Failed to generate v1 signature


    are you sure your certificate is correct and located where you set in the fusion editor?

    I really followed your suggestion and the problem was solved! Thanks!

Similar Threads

  1. Users that cannot build with Android Studio (ant\build.xml error)
    By Perry in forum Android Export Module 2.5
    Replies: 102
    Last Post: 28th November 2019, 07:02 PM
  2. AdMob sample project error
    By etude87 in forum Android Export Module 2.5
    Replies: 4
    Last Post: 11th June 2016, 10:17 AM
  3. Build process fails with error message 'cannot build blah.mfa
    By Jusfury in forum Android Export Module 2.5
    Replies: 7
    Last Post: 22nd May 2015, 08:16 PM
  4. [solved]Build Error "Unable to resolve project target 'android-18'"
    By Jonas in forum Android Export Module 2.5
    Replies: 0
    Last Post: 30th November 2014, 10:32 PM
  5. Error Impossible to save the ios Project
    By sinister in forum iOS Export Module Version 2.0
    Replies: 3
    Last Post: 28th August 2011, 10:49 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •